---
title: "Recycler son vieux laptop"
---

# Recycler son vieux laptop

Il peut être intéressant de recycler un vieux laptop qui traîne en serveur. Il est plus puissant que la raspberry PI, possède une architecture AMD64 qui peut être intéressante pour certains logiciels et a des fonctionnalités qui peuvent être plus poussées (boot sur usb, wakeonlan, ...). De plus sa forme et sa taille le rendent plus facile à caser dans un coin de la maison qu'une grosse tour.

Le gros problème est que quand on ferme l'écran le PC se met en vezille, heureusement avec systemd on peut changer ce comportement. Il faut télécharger la dernière version stable de Debian (ou autre distribution incluant systemd), l'installer sans environnement graphique avec un serveur ssh et les utilitaires de base puis pour éviter de mettre en veille lorsqu'on ferme l'écran il faut modifier le fichier /etc/systemd/logind.conf :

```
[Login]
HandleLidSwitch=ignore
HandleLidSwitchDocked=ignore
```
